E-MailRelay

Public Member Functions | List of all members
GSsl::Profile Class Referenceabstract

A base interface for profile classes that work with concrete classes derived from GSsl::LibraryImpBase and GSsl::ProtocolImpBase. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::Profile:
[legend]

## Public Member Functions
virtual | ~Profile ()=default
| Destructor.
virtual std::unique_ptr< ProtocolImpBase > | newProtocol (const std::string &, const std::string &) const =0
| Factory method for a new Protocol object.

## Detailed Description

A base interface for profile classes that work with concrete classes derived from GSsl::LibraryImpBase and GSsl::ProtocolImpBase.

Definition at line 418 of file gssl.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl.h